IEDIT_CREATE_LIST(3)

FUNCTION
iedit_create_list - Create a managed image edit instruction list.

SYNOPSIS
#include <karma_iedit.h>

KImageEditList iedit_create_list

(void (*add_func) (), void (*loss_func) (), void (*apply_func) (), void *info)

DESCRIPTION
Create a managed image edit instruction list.

add_func
    The function which will be called when a new instruction has been added to the list. The prototype function is <-iedit_PROTO_add_func->. The interface to this routine is as follows:

loss_func
    The function which will be called when an instruction has been removed from the list. The prototype function is <-iedit_PROTO_loss_func->.

apply_func
    The function which will be called when the edit instructions are to be applied (prior to clearing of the list). The prototype function is <-iedit_PROTO_apply_func->.

info
    The arbitrary information pointer for the edit list. This may be NULL.

RETURN VALUE
A KImageEditList object on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/